Request Recording Chunk Upload URL (M2M)
Store the spans and links known so far and presign the upload of one encrypted chunk. Links naming a span not stored yet come back in deferred_links for the runtime to resend.
Authorization
BundleAccessToken AuthorizationBearer <token>
In: header
Path Parameters
conversation_id*Conversation Id
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/bundler/conversations/497f6eca-6276-4993-bfeb-53cbbbba6f08/recording/chunks" \ -H "Content-Type: application/json" \ -d '{ "track": "caller", "chunk_index": 0, "size": 1 }'{ "upload_url": "string", "object_key": "string", "expires_in": 0, "deferred_links": [ { "span_id": "f8e1ad1a-a94f-4999-9759-e8b20e66def2", "message_id": "string" } ]}Empty
Empty
Empty
{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string" } ]}